<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <title>Demografiske data</title>
    <link rel="stylesheet" type="text/css" href="style.css">    
</head>
<body>
<?php 
include 'functions.inc.php';

if(isset($_POST["confirm"])){
    if($_POST["confirm"] == "Slett og hent" OR $_POST["confirm"] == "Hent kun nye"){

        $table = "personerFraKilder";

        if($_POST["confirm"] == "Slett og hent"){
            $table = "personerFraKilder";

            echo "Sletter alle personer fra tabellen";
            $sql = "DELETE FROM $table";
            $connection-> query($sql);
            $sql = "ALTER TABLE $table AUTO_INCREMENT = 1";
            $connection-> query($sql);

            $sql = "DELETE FROM personer";
            $connection-> query($sql);
            $sql = "ALTER TABLE personer AUTO_INCREMENT = 1";
            $connection-> query($sql);

            $sql = "DELETE FROM personkildekobling";
            $connection-> query($sql);
            $sql = "ALTER TABLE personkildekobling AUTO_INCREMENT = 1";
            $connection-> query($sql);

            $sql = "DELETE FROM usikker";
            $connection-> query($sql);
            $sql = "ALTER TABLE usikker AUTO_INCREMENT = 1";
            $connection-> query($sql);
            

            $sql = "DELETE FROM registrerte";
            $connection-> query($sql);
            $sql = "ALTER TABLE registrerte AUTO_INCREMENT = 1";
            $connection-> query($sql);
        }
        
        
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # Døpte
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

        $tabell = "kb_dopte";
        # Barn
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, IF($tabell.Kjonn = 'M', CONCAT($tabell.FornavnFar,  'sen'), CONCAT($tabell.FornavnFar, 'dtr.')), Etternavn, FodselsDag, FodselsMnd, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        # Mor
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', RolleMor, 'K', FornavnMor, FarsnavnMor, EtternavnMor, FodselsDagMor, FodselsMndMor, FodselsAarMor FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        # Far
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', RolleFar, 'M', FornavnFar, FarsnavnFar, EtternavnFar, FodselsDagFar, FodselsMndFar, FodselsAarFar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        
        registrer($tabell);
        
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # Konfirmanter
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

        $tabell = "kb_konfirmerte";
        # Konfirmanter
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', RolleKonfirmant, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        # Fedre til konfirmanter
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn) SELECT ID, '$tabell', RolleFar, 'M', FornavnFar, FarsnavnFar, EtternavnFar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        # Mødre til konfirmanter
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn) SELECT ID, '$tabell', RolleMor, 'K', FornavnMor, FarsnavnMor, EtternavnMor FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        registrer($tabell);
        
        
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # Gifte
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        
        $tabell = "kb_gifte";
        # Bruder
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar)
        SELECT ID, '$tabell', RolleBrur, KjonnBrur, FornavnBrur, FarsnavnBrur, EtternavnBrur, FodselsDagBrur, FodselsMndBrur, FodselsAarBrur FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        
        # Brudgommer
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar)
        SELECT ID, '$tabell', RolleBrudgom, KjonnBrudgom, FornavnBrudgom, FarsnavnBrudgom, EtternavnBrudgom, FodselsDagBrudgom, FodselsMndBrudgom, FodselsAarBrudgom FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        
        # Brudgomsfedre
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn)
        SELECT ID, '$tabell', RolleBrudgomsfar, 'M', FornavnBrudgomsfar, FarsnavnBrudgomsfar, EtternavnBrudgomsfar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        
        # Brudsfedre
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn)
        SELECT ID, '$tabell', RolleBrur, 'K', FornavnBrursfar, FarsnavnBrursfar, EtternavnBrursfar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        registrer($tabell);
        
        
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # Døde
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

        $tabell = "kb_dode";
        # Avdøde
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        registrer($tabell);
        
        

        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # Folketellinger
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

        # 1865
        $tabell = "no_t1865";
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        registrer($tabell);

        # 1875
        $tabell = "no_t1875";
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        registrer($tabell);

        # 1891
        $tabell = "no_t1891";
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsMnd, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsMnd, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        registrer($tabell);

        # 1900
        $tabell = "no_t1900";
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        registrer($tabell);

        # 1910
        $tabell = "no_t1910";
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);
        registrer($tabell);
        

        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # Emigranter
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

        # $tabell = "kb_dopte";
        # registrer($tabell);
        $tabell = "kb_emigranter";
        # Avdøde
        $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsAar) SELECT ID, '$tabell', 'Emigrant', Kjonn, Fornavn, Farsnavn, Etternavn, FodselsAar FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        $connection-> query($sql);

        registrer($tabell);

        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # LIM INN KODE FOR NYE TABELLER UNDER HER
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 


        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
        # LIM INN KODE FOR NYE TABELLER OVER HER
        # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

        # Malsetning for nye tabeller - Bare fyll inn de relevante tabell- og feltnavnene i delen etter "SELECT". Feltene med tegnet * må settes til det riktige feltnavnet eller tabellnavnet for tabellen du prøver å føre inn.
        # $tabell = "*tabellnavn*";
        # $sql = "INSERT INTO $table (KildeID, KildeType, Rolle, Kjonn, Fornavn, Farsnavn, Etternavn, FodselsDag, FodselsMnd, FodselsAar) SELECT ID, '$tabell', *Rolle*, *Kjonn*, *Fornavn*, *Farsnavn*, *Etternavn*, *FodselsDag*, *FodselsMnd*, *FodselsAar* FROM $tabell WHERE ID NOT IN (SELECT KildeID FROM registrerte WHERE KildeType = '$tabell');";
        # $connection-> query($sql);
        # registrer($tabell);


        header("Location: index.php");            
    }
}
?>
</body>
</html>



